Skip to content

Ancillary Price (NDC Only)

Request

The Ancillary Price request confirms pricing request searches for a selected ancillary. You must first create a new or post-commit workbench and send an Ancillary Shop request. After pricing, add the selected ancillary to the workbench

Security
bearerAuth
Headers
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired
@typestringrequired

Discriminator class OfferQueryBuildAncillaryOffersFromCatalogOfferings only

Example:"OfferQueryBuildAncillaryOffersFromCatalogOfferings"
BuildAncillaryOffersFromCatalogOfferingsArray of objects, [ 1 .. 1000 ] items(BuildAncillaryOffersFromCatalogOfferings)required
curl -i -X POST \
  https://developer.travelport.com/_mock/apis/flights/air/ancillaryprice/offers/buildancillaryoffersfromcatalogofferings \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "OfferQueryBuildAncillaryOffersFromCatalogOfferings",
    "BuildAncillaryOffersFromCatalogOfferings": [
      {
        "@type": "BuildAncillaryOffersFromCatalogOfferings",
        "CatalogOfferingsIdentifier": {
          "Identifier": {
            "value": "653f9c6f-4618-44e5-8f2d-2a23dd6fcc40_PC",
            "authority": "Travelport"
          }
        },
        "CatalogOfferingIdentifier": {
          "id": "SQa1"
        },
        "ProductIdentifier": {
          "id": "SQpa0"
        },
        "TravelerIdentifierRef": {
          "id": "CT1"
        },
        "Quantity": 1
      }
    ]
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
OfferListResponseobject(OfferListResponse)

The response of an Offer list endpoint request, such as AirPrice and Add Offer calls.
Defines one or more air offers returned including the offer identifiers and related response data needed for subsequent booking steps.

Response
{ "OfferListResponse": { "OfferID": [ {} ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }